package edu.nyu.scps.etch;

import android.app.Fragment;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;

public class EtchFragment extends Fragment {
	final Path path = new Path();
	final Paint paint = new Paint(Paint.ANTI_ALIAS_FLAG);

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setRetainInstance(true);
		paint.setColor(Color.BLACK);
		paint.setStyle(Paint.Style.STROKE);
		paint.setStrokeWidth(0);
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		return new View(getActivity()) {
			{
				setOnTouchListener(new View.OnTouchListener() {
					@Override
					public boolean onTouch(View v, MotionEvent event) {
						switch(event.getAction()) {
						case MotionEvent.ACTION_DOWN:
							path.moveTo(event.getX(), event.getY());
							break;

						case MotionEvent.ACTION_MOVE:
							path.lineTo(event.getX(), event.getY());
							break;

						default:
							return false;
						}

						invalidate();	//call onDraw
						return true;
					}
				});
			}

			@Override
			protected void onDraw(Canvas canvas) {
				canvas.drawColor(Color.WHITE);	//background
				canvas.drawPath(path, paint);
			}
		};
	}
}
